{% extends 'base.html' %}
{% load f1 %}
{% load addproperty %}

{% block title %}
    Blog password Change      
{% endblock %}

{% block content  %} 
         <p style="font-family: 'Brush Script MT', cursive; font-size:35px;">Password Change</p>
        <hr>
        {% if messages %}
            {% for message in messages %}
                <p class="errors">{{ message }}</p>
            {% endfor %}
        {% endif %}
        {% if form.non_field_errors %}
            {% for error in form.non_field_errors %}
                <p class="errors">{{ error }}</p>
            {% endfor %}
        {% endif %}
        <form action="{% url 'account:password-change' %}" method="POST" novalidate>
            {% csrf_token %}
            {%  for field in form %}
                {{ field.label_tag }} {{ field|addclass:"form-control" }} <span class="errors">{{ field.errors|striptags }}</span><br><br>
            {% endfor %}
            <input type="submit" value="Save Change" class="btn btn-success active">
            <a href="{% url 'account:profile' %}" class="btn btn-warning  ">Cancel</a>
        </form> 
{% endblock %}